# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXClassWrapper_Texture Struct Reference

VLX wrapper of vl::Texture. More...

`#include <VLXWrappers.hpp>`

Inheritance diagram for vl::VLXClassWrapper_Texture:

List of all members.

## Public Member Functions

void | importTexture (VLXSerializer &s, const VLXStructure *vlx, Texture *obj)
virtual ref< Object > | importVLX (VLXSerializer &s, const VLXStructure *vlx)
void | exportTexture (VLXSerializer &s, const Texture *obj, VLXStructure *vlx)
virtual ref< VLXStructure > | exportVLX (VLXSerializer &s, const Object *obj)

## Detailed Description

VLX wrapper of vl::Texture.

Definition at line 3273 of file VLXWrappers.hpp.

## Member Function Documentation

void vl::VLXClassWrapper_Texture::importTexture | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx,
|  | Texture * | obj
| ) |  | `[inline]`

Definition at line 3275 of file VLXWrappers.hpp.

References vl::VLXValue::Bool, vl::VLXValue::getBool(), vl::VLXValue::getInteger(), vl::VLXValue::getString(), vl::VLXValue::getStructure(), vl::Texture::getTexParameter(), vl::VLXStructure::getValue(), vl::VLXValue::Identifier, vl::VLXSerializer::importVLX(), vl::VLXValue::Integer, NULL, vl::VLXSerializer::resolvePath(), vl::Object::setObjectName(), vl::Texture::setSetupParams(), vl::Texture::setupParams(), vl::VLXValue::String, vl::VLXValue::Structure, vl::VLXValue::type(), vl::VLXStructure::value(), vl::vlx_ETextureDimension(), vl::vlx_ETextureFormat(), and VLX_IMPORT_CHECK_RETURN.

Referenced by importVLX().

virtual ref<Object> vl::VLXClassWrapper_Texture::importVLX | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 3363 of file VLXWrappers.hpp.

References vl::ref< T >::get(), importTexture(), and vl::VLXSerializer::registerImportedStructure().

void vl::VLXClassWrapper_Texture::exportTexture | ( | VLXSerializer & | s,
|  | const Texture * | obj,
|  | VLXStructure * | vlx
| ) |  | `[inline]`

Definition at line 3372 of file VLXWrappers.hpp.

References vl::Texture::SetupParams::bufferObject(), vl::Texture::SetupParams::depth(), vl::Texture::SetupParams::dimension(), vl::String::empty(), vl::VLXSerializer::exportVLX(), vl::Image::filePath(), vl::Texture::SetupParams::fixedSamplesLocations(), vl::Texture::SetupParams::format(), vl::Texture::SetupParams::genMipmaps(), vl::Texture::getTexParameter(), vl::Texture::SetupParams::height(), vl::Texture::SetupParams::image(), vl::Texture::SetupParams::imagePath(), vl::Object::objectName(), vl::Texture::SetupParams::samples(), vl::Texture::setupParams(), vl::String::toStdString(), vl::vlx_ETextureDimension(), vl::vlx_ETextureFormat(), vl::vlx_Identifier(), vl::vlx_String(), and vl::Texture::SetupParams::width().

Referenced by exportVLX().

virtual ref<VLXStructure> vl::VLXClassWrapper_Texture::exportVLX | ( | VLXSerializer & | s,
|  | const Object * | obj
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 3428 of file VLXWrappers.hpp.

References vl::Object::as(), exportTexture(), vl::VLXSerializer::generateID(), vl::VLXSerializer::registerExportedObject(), VL_CHECK, and vl::vlx_makeTag().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/VLXWrappers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:58.
Permission is granted to use this page to write and publish articles regarding Visualization Library.